Skip to main content
PATCH
/
workstreams
/
{id}
Update a workstream's name, topics, or attributes
curl --request PATCH \
  --url https://openlens.com/api/workstreams/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "topicIds": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "attributes": [
    "<string>"
  ]
}
'
{
  "workstream": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "topicIds": [
      "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    ],
    "attributes": [
      "<string>"
    ],
    "archivedAt": "2023-11-07T05:31:56Z",
    "currentGoal": {
      "effectiveFrom": "2023-11-07T05:31:56Z",
      "goalText": "<string>",
      "targetVisibility": 50,
      "targetDeadline": "2023-12-25"
    },
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.openlens.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Clerk API key. Create one from your account settings under API Keys.

Path Parameters

id
string<uuid>
required

Body

application/json
name
string
Required string length: 1 - 120
topicIds
string<uuid>[]
attributes
string[]

Response

Successful response

workstream
object